XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xinerama.h
1 /*
2 * This file generated automatically from xinerama.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XINERAMA_H
13 #define __XINERAMA_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_XINERAMA_MAJOR_VERSION 1
23 #define XCB_XINERAMA_MINOR_VERSION 1
24
25 extern xcb_extension_t xcb_xinerama_id;
26
30 typedef struct xcb_xinerama_screen_info_t {
31 int16_t x_org;
32 int16_t y_org;
33 uint16_t width;
34 uint16_t height;
35 } xcb_xinerama_screen_info_t;
36
40 typedef struct xcb_xinerama_screen_info_iterator_t {
41 xcb_xinerama_screen_info_t *data;
42 int rem;
43 int index;
44 } xcb_xinerama_screen_info_iterator_t;
45
49 typedef struct xcb_xinerama_query_version_cookie_t {
50 unsigned int sequence;
51 } xcb_xinerama_query_version_cookie_t;
52
54 #define XCB_XINERAMA_QUERY_VERSION 0
55
59 typedef struct xcb_xinerama_query_version_request_t {
60 uint8_t major_opcode;
61 uint8_t minor_opcode;
62 uint16_t length;
63 uint8_t major;
64 uint8_t minor;
65 } xcb_xinerama_query_version_request_t;
66
70 typedef struct xcb_xinerama_query_version_reply_t {
71 uint8_t response_type;
72 uint8_t pad0;
73 uint16_t sequence;
74 uint32_t length;
75 uint16_t major;
76 uint16_t minor;
77 } xcb_xinerama_query_version_reply_t;
78
82 typedef struct xcb_xinerama_get_state_cookie_t {
83 unsigned int sequence;
84 } xcb_xinerama_get_state_cookie_t;
85
87 #define XCB_XINERAMA_GET_STATE 1
88
92 typedef struct xcb_xinerama_get_state_request_t {
93 uint8_t major_opcode;
94 uint8_t minor_opcode;
95 uint16_t length;
96 xcb_window_t window;
97 } xcb_xinerama_get_state_request_t;
98
102 typedef struct xcb_xinerama_get_state_reply_t {
103 uint8_t response_type;
104 uint8_t state;
105 uint16_t sequence;
106 uint32_t length;
107 xcb_window_t window;
108 } xcb_xinerama_get_state_reply_t;
109
113 typedef struct xcb_xinerama_get_screen_count_cookie_t {
114 unsigned int sequence;
115 } xcb_xinerama_get_screen_count_cookie_t;
116
118 #define XCB_XINERAMA_GET_SCREEN_COUNT 2
119
123 typedef struct xcb_xinerama_get_screen_count_request_t {
124 uint8_t major_opcode;
125 uint8_t minor_opcode;
126 uint16_t length;
127 xcb_window_t window;
128 } xcb_xinerama_get_screen_count_request_t;
129
133 typedef struct xcb_xinerama_get_screen_count_reply_t {
134 uint8_t response_type;
135 uint8_t screen_count;
136 uint16_t sequence;
137 uint32_t length;
138 xcb_window_t window;
139 } xcb_xinerama_get_screen_count_reply_t;
140
144 typedef struct xcb_xinerama_get_screen_size_cookie_t {
145 unsigned int sequence;
146 } xcb_xinerama_get_screen_size_cookie_t;
147
149 #define XCB_XINERAMA_GET_SCREEN_SIZE 3
150
154 typedef struct xcb_xinerama_get_screen_size_request_t {
155 uint8_t major_opcode;
156 uint8_t minor_opcode;
157 uint16_t length;
158 xcb_window_t window;
159 uint32_t screen;
160 } xcb_xinerama_get_screen_size_request_t;
161
165 typedef struct xcb_xinerama_get_screen_size_reply_t {
166 uint8_t response_type;
167 uint8_t pad0;
168 uint16_t sequence;
169 uint32_t length;
170 uint32_t width;
171 uint32_t height;
172 xcb_window_t window;
173 uint32_t screen;
174 } xcb_xinerama_get_screen_size_reply_t;
175
179 typedef struct xcb_xinerama_is_active_cookie_t {
180 unsigned int sequence;
181 } xcb_xinerama_is_active_cookie_t;
182
184 #define XCB_XINERAMA_IS_ACTIVE 4
185
189 typedef struct xcb_xinerama_is_active_request_t {
190 uint8_t major_opcode;
191 uint8_t minor_opcode;
192 uint16_t length;
193 } xcb_xinerama_is_active_request_t;
194
198 typedef struct xcb_xinerama_is_active_reply_t {
199 uint8_t response_type;
200 uint8_t pad0;
201 uint16_t sequence;
202 uint32_t length;
203 uint32_t state;
204 } xcb_xinerama_is_active_reply_t;
205
209 typedef struct xcb_xinerama_query_screens_cookie_t {
210 unsigned int sequence;
211 } xcb_xinerama_query_screens_cookie_t;
212
214 #define XCB_XINERAMA_QUERY_SCREENS 5
215
219 typedef struct xcb_xinerama_query_screens_request_t {
220 uint8_t major_opcode;
221 uint8_t minor_opcode;
222 uint16_t length;
223 } xcb_xinerama_query_screens_request_t;
224
228 typedef struct xcb_xinerama_query_screens_reply_t {
229 uint8_t response_type;
230 uint8_t pad0;
231 uint16_t sequence;
232 uint32_t length;
233 uint32_t number;
234 uint8_t pad1[20];
235 } xcb_xinerama_query_screens_reply_t;
236
246 /*****************************************************************************
247 **
248 ** void xcb_xinerama_screen_info_next
249 **
250 ** @param xcb_xinerama_screen_info_iterator_t *i
251 ** @returns void
252 **
253 *****************************************************************************/
254
255 void
256 xcb_xinerama_screen_info_next (xcb_xinerama_screen_info_iterator_t *i );
257
268 /*****************************************************************************
269 **
270 ** xcb_generic_iterator_t xcb_xinerama_screen_info_end
271 **
272 ** @param xcb_xinerama_screen_info_iterator_t i
273 ** @returns xcb_generic_iterator_t
274 **
275 *****************************************************************************/
276
277 xcb_generic_iterator_t
278 xcb_xinerama_screen_info_end (xcb_xinerama_screen_info_iterator_t i );
279
289 /*****************************************************************************
290 **
291 ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version
292 **
293 ** @param xcb_connection_t *c
294 ** @param uint8_t major
295 ** @param uint8_t minor
296 ** @returns xcb_xinerama_query_version_cookie_t
297 **
298 *****************************************************************************/
299
300 xcb_xinerama_query_version_cookie_t
301 xcb_xinerama_query_version (xcb_connection_t *c ,
302 uint8_t major ,
303 uint8_t minor );
304
317 /*****************************************************************************
318 **
319 ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version_unchecked
320 **
321 ** @param xcb_connection_t *c
322 ** @param uint8_t major
323 ** @param uint8_t minor
324 ** @returns xcb_xinerama_query_version_cookie_t
325 **
326 *****************************************************************************/
327
328 xcb_xinerama_query_version_cookie_t
329 xcb_xinerama_query_version_unchecked (xcb_connection_t *c ,
330 uint8_t major ,
331 uint8_t minor );
332
348 /*****************************************************************************
349 **
350 ** xcb_xinerama_query_version_reply_t * xcb_xinerama_query_version_reply
351 **
352 ** @param xcb_connection_t *c
353 ** @param xcb_xinerama_query_version_cookie_t cookie
354 ** @param xcb_generic_error_t **e
355 ** @returns xcb_xinerama_query_version_reply_t *
356 **
357 *****************************************************************************/
358
359 xcb_xinerama_query_version_reply_t *
360 xcb_xinerama_query_version_reply (xcb_connection_t *c ,
361 xcb_xinerama_query_version_cookie_t cookie ,
362 xcb_generic_error_t **e );
363
373 /*****************************************************************************
374 **
375 ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state
376 **
377 ** @param xcb_connection_t *c
378 ** @param xcb_window_t window
379 ** @returns xcb_xinerama_get_state_cookie_t
380 **
381 *****************************************************************************/
382
383 xcb_xinerama_get_state_cookie_t
384 xcb_xinerama_get_state (xcb_connection_t *c ,
385 xcb_window_t window );
386
399 /*****************************************************************************
400 **
401 ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state_unchecked
402 **
403 ** @param xcb_connection_t *c
404 ** @param xcb_window_t window
405 ** @returns xcb_xinerama_get_state_cookie_t
406 **
407 *****************************************************************************/
408
409 xcb_xinerama_get_state_cookie_t
410 xcb_xinerama_get_state_unchecked (xcb_connection_t *c ,
411 xcb_window_t window );
412
428 /*****************************************************************************
429 **
430 ** xcb_xinerama_get_state_reply_t * xcb_xinerama_get_state_reply
431 **
432 ** @param xcb_connection_t *c
433 ** @param xcb_xinerama_get_state_cookie_t cookie
434 ** @param xcb_generic_error_t **e
435 ** @returns xcb_xinerama_get_state_reply_t *
436 **
437 *****************************************************************************/
438
439 xcb_xinerama_get_state_reply_t *
440 xcb_xinerama_get_state_reply (xcb_connection_t *c ,
441 xcb_xinerama_get_state_cookie_t cookie ,
442 xcb_generic_error_t **e );
443
453 /*****************************************************************************
454 **
455 ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count
456 **
457 ** @param xcb_connection_t *c
458 ** @param xcb_window_t window
459 ** @returns xcb_xinerama_get_screen_count_cookie_t
460 **
461 *****************************************************************************/
462
463 xcb_xinerama_get_screen_count_cookie_t
464 xcb_xinerama_get_screen_count (xcb_connection_t *c ,
465 xcb_window_t window );
466
479 /*****************************************************************************
480 **
481 ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count_unchecked
482 **
483 ** @param xcb_connection_t *c
484 ** @param xcb_window_t window
485 ** @returns xcb_xinerama_get_screen_count_cookie_t
486 **
487 *****************************************************************************/
488
489 xcb_xinerama_get_screen_count_cookie_t
490 xcb_xinerama_get_screen_count_unchecked (xcb_connection_t *c ,
491 xcb_window_t window );
492
508 /*****************************************************************************
509 **
510 ** xcb_xinerama_get_screen_count_reply_t * xcb_xinerama_get_screen_count_reply
511 **
512 ** @param xcb_connection_t *c
513 ** @param xcb_xinerama_get_screen_count_cookie_t cookie
514 ** @param xcb_generic_error_t **e
515 ** @returns xcb_xinerama_get_screen_count_reply_t *
516 **
517 *****************************************************************************/
518
519 xcb_xinerama_get_screen_count_reply_t *
520 xcb_xinerama_get_screen_count_reply (xcb_connection_t *c ,
521 xcb_xinerama_get_screen_count_cookie_t cookie ,
522 xcb_generic_error_t **e );
523
533 /*****************************************************************************
534 **
535 ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size
536 **
537 ** @param xcb_connection_t *c
538 ** @param xcb_window_t window
539 ** @param uint32_t screen
540 ** @returns xcb_xinerama_get_screen_size_cookie_t
541 **
542 *****************************************************************************/
543
544 xcb_xinerama_get_screen_size_cookie_t
545 xcb_xinerama_get_screen_size (xcb_connection_t *c ,
546 xcb_window_t window ,
547 uint32_t screen );
548
561 /*****************************************************************************
562 **
563 ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size_unchecked
564 **
565 ** @param xcb_connection_t *c
566 ** @param xcb_window_t window
567 ** @param uint32_t screen
568 ** @returns xcb_xinerama_get_screen_size_cookie_t
569 **
570 *****************************************************************************/
571
572 xcb_xinerama_get_screen_size_cookie_t
573 xcb_xinerama_get_screen_size_unchecked (xcb_connection_t *c ,
574 xcb_window_t window ,
575 uint32_t screen );
576
592 /*****************************************************************************
593 **
594 ** xcb_xinerama_get_screen_size_reply_t * xcb_xinerama_get_screen_size_reply
595 **
596 ** @param xcb_connection_t *c
597 ** @param xcb_xinerama_get_screen_size_cookie_t cookie
598 ** @param xcb_generic_error_t **e
599 ** @returns xcb_xinerama_get_screen_size_reply_t *
600 **
601 *****************************************************************************/
602
603 xcb_xinerama_get_screen_size_reply_t *
604 xcb_xinerama_get_screen_size_reply (xcb_connection_t *c ,
605 xcb_xinerama_get_screen_size_cookie_t cookie ,
606 xcb_generic_error_t **e );
607
617 /*****************************************************************************
618 **
619 ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active
620 **
621 ** @param xcb_connection_t *c
622 ** @returns xcb_xinerama_is_active_cookie_t
623 **
624 *****************************************************************************/
625
626 xcb_xinerama_is_active_cookie_t
627 xcb_xinerama_is_active (xcb_connection_t *c );
628
641 /*****************************************************************************
642 **
643 ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active_unchecked
644 **
645 ** @param xcb_connection_t *c
646 ** @returns xcb_xinerama_is_active_cookie_t
647 **
648 *****************************************************************************/
649
650 xcb_xinerama_is_active_cookie_t
651 xcb_xinerama_is_active_unchecked (xcb_connection_t *c );
652
668 /*****************************************************************************
669 **
670 ** xcb_xinerama_is_active_reply_t * xcb_xinerama_is_active_reply
671 **
672 ** @param xcb_connection_t *c
673 ** @param xcb_xinerama_is_active_cookie_t cookie
674 ** @param xcb_generic_error_t **e
675 ** @returns xcb_xinerama_is_active_reply_t *
676 **
677 *****************************************************************************/
678
679 xcb_xinerama_is_active_reply_t *
680 xcb_xinerama_is_active_reply (xcb_connection_t *c ,
681 xcb_xinerama_is_active_cookie_t cookie ,
682 xcb_generic_error_t **e );
683
684 int
685 xcb_xinerama_query_screens_sizeof (const void *_buffer );
686
696 /*****************************************************************************
697 **
698 ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens
699 **
700 ** @param xcb_connection_t *c
701 ** @returns xcb_xinerama_query_screens_cookie_t
702 **
703 *****************************************************************************/
704
705 xcb_xinerama_query_screens_cookie_t
706 xcb_xinerama_query_screens (xcb_connection_t *c );
707
720 /*****************************************************************************
721 **
722 ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens_unchecked
723 **
724 ** @param xcb_connection_t *c
725 ** @returns xcb_xinerama_query_screens_cookie_t
726 **
727 *****************************************************************************/
728
729 xcb_xinerama_query_screens_cookie_t
730 xcb_xinerama_query_screens_unchecked (xcb_connection_t *c );
731
732
733 /*****************************************************************************
734 **
735 ** xcb_xinerama_screen_info_t * xcb_xinerama_query_screens_screen_info
736 **
737 ** @param const xcb_xinerama_query_screens_reply_t *R
738 ** @returns xcb_xinerama_screen_info_t *
739 **
740 *****************************************************************************/
741
742 xcb_xinerama_screen_info_t *
743 xcb_xinerama_query_screens_screen_info (const xcb_xinerama_query_screens_reply_t *R );
744
745
746 /*****************************************************************************
747 **
748 ** int xcb_xinerama_query_screens_screen_info_length
749 **
750 ** @param const xcb_xinerama_query_screens_reply_t *R
751 ** @returns int
752 **
753 *****************************************************************************/
754
755 int
756 xcb_xinerama_query_screens_screen_info_length (const xcb_xinerama_query_screens_reply_t *R );
757
758
759 /*****************************************************************************
760 **
761 ** xcb_xinerama_screen_info_iterator_t xcb_xinerama_query_screens_screen_info_iterator
762 **
763 ** @param const xcb_xinerama_query_screens_reply_t *R
764 ** @returns xcb_xinerama_screen_info_iterator_t
765 **
766 *****************************************************************************/
767
768 xcb_xinerama_screen_info_iterator_t
769 xcb_xinerama_query_screens_screen_info_iterator (const xcb_xinerama_query_screens_reply_t *R );
770
786 /*****************************************************************************
787 **
788 ** xcb_xinerama_query_screens_reply_t * xcb_xinerama_query_screens_reply
789 **
790 ** @param xcb_connection_t *c
791 ** @param xcb_xinerama_query_screens_cookie_t cookie
792 ** @param xcb_generic_error_t **e
793 ** @returns xcb_xinerama_query_screens_reply_t *
794 **
795 *****************************************************************************/
796
797 xcb_xinerama_query_screens_reply_t *
798 xcb_xinerama_query_screens_reply (xcb_connection_t *c ,
799 xcb_xinerama_query_screens_cookie_t cookie ,
800 xcb_generic_error_t **e );
801
802
803 #ifdef __cplusplus
804 }
805 #endif
806
807 #endif
808